Bug 41602 - Deactivate predictable network interface names support
Deactivate predictable network interface names support
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Hardware and device support
UCC 3.0
Other Linux
: P5 normal
: UCC 3.0
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-17 14:15 CEST by Erik Damrose
Modified: 2016-11-09 10:35 CET (History)
0 users

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2016-06-17 14:15:48 CEST
Predictable network interface names support is activated in Ubuntu 16.04. As several of our scripts rely on interface names, it will be deactivated in UCC 3, so that the known naming conventions like eth0 apply.

https://www.freedesktop.org/wiki/Software/systemd/PredictableNetworkInterfaceNames/
Comment 1 Erik Damrose univentionstaff 2016-06-17 14:58:35 CEST
Fixed in

r70318 ucc-pxe-boot 8.0.0-2.46.201606171418
r70319 univention-ucc-grub 4.0.0-2.12.201606171428
Comment 2 Felix Botner univentionstaff 2016-06-29 14:15:11 CEST
please also add support for ucc/pxe/predicteablenicnames in the ucr module conffiles/uccpxeboot.py
Comment 3 Erik Damrose univentionstaff 2016-06-30 16:38:09 CEST
The ucr module already has a function to evaluate true/false variables. In order not to complicate that code, i adapted the ucr variable name to ucc/pxe/traditionalinterfacenames to match the ucr module semantics

r70744 ucc-pxe-boot 8.0.0-3.47.201606301635
Comment 4 Felix Botner univentionstaff 2016-07-14 13:15:26 CEST
please a default (true) for ucc/pxe/traditionalinterfacenames in the postinst and remove the "the value is 'true' by default" from the description (default if var is unset is false).
Comment 5 Erik Damrose univentionstaff 2016-07-22 12:31:08 CEST
Value set in postinst, and i updated the UCRv description.
r71194 ucc-pxe-boot 8.0.0-5.49.201607221229
Comment 6 Felix Botner univentionstaff 2016-07-22 15:21:06 CEST
FAIL - changelog is missing
OK - ucc-pxe-boot
Comment 7 Erik Damrose univentionstaff 2016-08-08 16:04:48 CEST
r71457 changelog
Comment 8 Felix Botner univentionstaff 2016-08-08 17:03:44 CEST
OK
Comment 9 Erik Damrose univentionstaff 2016-08-16 17:13:04 CEST
UCC 3.0 has been released. If this bug occurs again, please clone this bug.